Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 02 Oct 2014, 04:38
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
Package Manager disappeared Puppy Slacko 5.3.3
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
ardianos

Joined: 10 Jul 2012
Posts: 3

PostPosted: Tue 10 Jul 2012, 19:19    Post_subject:  Package Manager disappeared Puppy Slacko 5.3.3
Sub_title: After installing/uninstalling packages, now ppm won't work
 

Hi!

I just got this same problem as refered here and would greatly appreciate some help: http://www.murga-linux.com/puppy/viewtopic.php?t=75649


I've been using Slacko 5.3.3 installed in my hard disk for about a month and have had some problems with the flash player and, paradoxically, while the problem solved itself simply by installing firefox, I now can't open the Puppy Package Manager.

The last two things I did were: installing VLC (which required me to install some other package) and using a file menu option in slickpet that say's "clear downloaded packages". After rebooting my computer I realized VLC isn't there and the package manager doesn't run, it just flashes a yellow box. The installation process for VLC did finish successfully, but I never got to use it.

The slickpet application still works. There's an option in slickpet to update the Puppy Package Manager and it apparently works, but it doesn't help.

From the console, I ran "ppm" and got this:
** ERROR **: gtkdialog: Error in line 44, near token '</default>': syntax error
aborting...

I would greatly appreciate any help you could give me, thanks!
Back to top
View user's profile Send_private_message 
ardianos

Joined: 10 Jul 2012
Posts: 3

PostPosted: Tue 10 Jul 2012, 19:46    Post_subject:  

I just found both packages I downloaded with the Puppy Package Manager and apparently they're just sitting there, in my root directory. They are: qt-everywhere-opensource-src-4.7.3-i686.pet
vlc-2.0.0-s-i486.pet

The rest of the packages I downloaded with the slickpet. I guess the PPM wasn't even working in the first place
Back to top
View user's profile Send_private_message 
Semme

Joined: 07 Aug 2011
Posts: 3938
Location: World_Hub

PostPosted: Tue 10 Jul 2012, 20:21    Post_subject:  

Ardianos- Welcome!.. You need Wink this here *Mick* bomb..
Back to top
View user's profile Send_private_message 
ardianos

Joined: 10 Jul 2012
Posts: 3

PostPosted: Wed 11 Jul 2012, 04:49    Post_subject:  

That did it, Semme! The error was in a different line of command, but the patch worked like magic. Up and running again!!!!

The pet fixes my problem and, at least, some similar ones affecting the Puppy Program manager (ppm) like the following:

** ERROR **: gtkdialog: Error in line 30, near token '</vbox>': syntax error

The pet that fixes these and other similar errors is: http://www.murga-linux.com/puppy/viewtopic.php?p=626479#626479

I still have some reading and playing to do before getting a hang of puppy (and linux). I've used ubuntu and fedora, but ever since I discovered Puppy Dingo some years ago I loved it.

Thanks a lot for your help! Smile I hope this helps other people
Back to top
View user's profile Send_private_message 
nf210708

Joined: 12 Sep 2012
Posts: 2

PostPosted: Fri 12 Oct 2012, 07:04    Post_subject:    

Very Happy yes!!.. i solved the problem,thanks everyones...
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0473s ][ Queries: 11 (0.0040s) ][ GZIP on ]